Bug 22572 - Updated package: Dovecot
Summary: Updated package: Dovecot
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks: 22555
  Show dependency treegraph
 
Reported: 2018-02-10 23:09 CET by Stig-Ørjan Smelror
Modified: 2018-02-27 00:41 CET (History)
2 users (show)

See Also:
Source RPM: dovecot-2.2.29.1-1.4.mga6.src.rpm
CVE:
Status comment:


Attachments

Description Stig-Ørjan Smelror 2018-02-10 23:09:15 CET
Advisory
========

Fixed an issue where a modified /etc/dovecot/conf.d/90-sieve.conf was overwritten during update.

References
==========
https://bugs.mageia.org/show_bug.cgi?id=22555

Files
=====
These files has been pushed to core/updates_testing

dovecot-2.2.29.1-1.4.mga6
dovecot-pigeonhole-2.2.29.1-1.4.mga6
dovecot-pigeonhole-devel-2.2.29.1-1.4.mga6
dovecot-plugins-pgsql-2.2.29.1-1.4.mga6
dovecot-plugins-mysql-2.2.29.1-1.4.mga6
dovecot-plugins-ldap-2.2.29.1-1.4.mga6
dovecot-plugins-gssapi-2.2.29.1-1.4.mga6
dovecot-plugins-sqlite-2.2.29.1-1.4.mga6
dovecot-devel-2.2.29.1-1.4.mga6

from dovecot-2.2.29.1-1.4.mga6.src.rpm
Stig-Ørjan Smelror 2018-02-10 23:09:48 CET

Blocks: (none) => 22555

Comment 1 PC LX 2018-02-12 20:51:28 CET
Installed and tested without issues.

Service restarted correctly and tested using kmail/akonadi and k9 (android). No problems accessing an email account with several GB of e-mails.

System: Mageia 6, x86_64, Intel CPU.

$ uname -a
Linux marte 4.14.18-desktop-1.mga6 #1 SMP Wed Feb 7 23:14:33 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
$ rpm -qa | grep dovecot
dovecot-2.2.29.1-1.4.mga6
dovecot-pigeonhole-2.2.29.1-1.4.mga6

CC: (none) => mageia
Whiteboard: (none) => MGA6-64-OK

Comment 2 Stig-Ørjan Smelror 2018-02-12 22:14:03 CET
Thank you.

If you could, please install the old version, edit 90-sieve.conf from dovecot-pideonhole and see if it is overwritten when updating to the new version.

Cheers,
Stig
Comment 3 PC LX 2018-02-13 11:47:27 CET
I have downgraded dovecot and dovecot-pigeonhole, edited the file /etc/dovecot/conf.d/90-sieve.conf and then upgraded dovecot and dovecot-pigeonhole.

The edited file 90-sieve.conf was NOT overwritten in the upgrade.

$ urpmi --downgrade dovecot dovecot-pigeonhole
<SNIP>
$ rpm -qa | grep dovecot | sort
dovecot-2.2.29.1-1.2.mga6
dovecot-pigeonhole-2.2.29.1-1.2.mga6
$ rpm -ql dovecot-pigeonhole | grep 90-sieve.conf
/etc/dovecot/conf.d/90-sieve.conf
/usr/share/doc/dovecot-pigeonhole/example-config/conf.d/90-sieve.conf
$ echo "###TEST123###" >> /etc/dovecot/conf.d/90-sieve.conf
$ urpmi dovecot dovecot-pigeonhole
<SNIP>
$ rpm -qa | grep dovecot | sort
dovecot-2.2.29.1-1.4.mga6
dovecot-pigeonhole-2.2.29.1-1.4.mga6
$ grep TEST123 /etc/dovecot/conf.d/90-sieve.conf
###TEST123###
Comment 4 claire robinson 2018-02-26 17:36:06 CET
Was this fixed in Cauldron Stig?
There is no comment in either of the bugs.

Thanks
claire robinson 2018-02-26 17:38:40 CET

Keywords: (none) => advisory

Comment 5 Stig-Ørjan Smelror 2018-02-26 21:30:01 CET
(In reply to claire robinson from comment #4)
> Was this fixed in Cauldron Stig?
> There is no comment in either of the bugs.
> 
> Thanks

Claire,

Yes, Cauldron was also updated. Sorry for not posting.

------------------------------------------------------------------------
r1200233 | kekepower | 2018-02-10 22:40:11 +0100 (Sat, 10 Feb 2018) | 2 lines

- Fixed overwriting a config file (mga#22555)


Cheers,
Stig
Comment 6 claire robinson 2018-02-26 23:35:04 CET
Thanks Stig. Validating this one then.

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 7 Mageia Robot 2018-02-27 00:41:46 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0038.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.